Download it now!
Bug 96523 - Ctrl not working with column/row headings
Summary: Ctrl not working with column/row headings
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Dennis Francis
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 20:26 UTC by Óvári
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-12-15 20:26:29 UTC
Version: 5.2.0.0.alpha0+
Build ID: 014633f83e44ae8ba33087b6f38e8e253e281969
CPU Threads: 2; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-15_06:21:44

1. In cell A1 type: =SUM(
2. Press and hold Ctrl
3. Click column headings B and D
4. Release Ctrl
5. Press Enter
6. Formula in A1 shows =SUM(D:D); however should show =SUM(D:D,B:B)

Thank you
Comment 1 Óvári 2015-12-15 20:30:41 UTC
(In reply to Óvári from comment #0)
> 6. Formula in A1 shows =SUM(D:D); however should show =SUM(D:D,B:B)

6. Formula in A1 shows =SUM(D:D); however should show =SUM(B:B,D:D)
Comment 2 Eike Rathke 2015-12-16 12:51:12 UTC
@Dennis:
You might be interested in this ;)
Comment 3 Dennis Francis 2015-12-20 02:20:32 UTC
I have sent a patch in gerrit for review.

https://gerrit.libreoffice.org/#/c/20836/
Comment 4 Commit Notification 2016-01-06 13:59:20 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33455023a9c1e33591d97116ac2e400362f87fbb

Fix tdf#96523 : Correct the behavior when Ctrl key is pressed

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Óvári 2016-01-14 22:45:07 UTC
(In reply to Commit Notification from comment #4)
> Affected users are encouraged to test the fix and report feedback.
Please see bug 97143. Thank you.
Comment 6 Óvári 2016-01-14 22:50:11 UTC
Thank you Dennis Francis for your patch of bug 96523.

It works if Ctrl is pressed and held before or immediately after the first column/row selection.

Would it be possible to implement this for any selection as described in bug 93936.

Thank you